#include <iostream>
#include <sstream>

/**
Luua fail F1.txt koos <TICKETLENGTH> pikkuste numbrite ridadega (1-99). Nendest luuakse loterii piletid
Luua Ticket tpi jada ja tita see F1.txt failist loetud numbrite jadadega
Luua vidu jada (vib olla suvanumbrid vi eelnevalt ise loodud jada)
Kontrollida, kas mni pilet vitis
*/

/**
Luua 5-10 suvanumbrit, millega tidetakse klassid, mis on hendatud double linked list meetodil
Sorteerida numbrid ja vljastada
Lisada uus suva number, nii et arvjada jb sorteeritud
Uuesti vljastada
*/
#define TICKETLENGTH 6

using namespace std;

class Ticket {
    int numbers[TICKETLENGTH];

public:

    Ticket(stringstream& ss){
        int temp;
        for(int i=0;i<TICKETLENGTH;i++){
            if(ss>>temp)
                numbers[i] = temp;
            else throw string("Failed to create ticket!");
        }
    }

    int *getNumbers() {
        return numbers;
    }

    void printTicket(){
        for(int i=0;i<TICKETLENGTH;i++){
            cout << numbers[i] << " ";
        }
        cout << endl;
    }
};



int main(void){
    string testNumbers="1 2 5 8 3 5";
    stringstream testStream(testNumbers);
    try {
        Ticket testTicket(testStream);
        cout << "Ticket created successfully" << endl;
        testTicket.printTicket();
    } catch (string e){
        cout << e << endl;
        return 1;
    }

    return 0;
}
